## net.sf.saxon.javax.xml.xquery
Interface XQResultItem

All Superinterfaces:
  XQItem, XQItemAccessor

All Known Implementing Classes:
  SaxonXQItem

    public interface XQResultItem

extends XQItem, XQItemAccessor

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` `clearWarnings()`
`XQConnection` `getConnection()`
`XQWarning` `getWarnings()`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQItem
`close, isClosed`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQItemAccessor
`getAtomicValue, getBoolean, getByte, getDouble, getFloat, getInt, getItemAsStream, getItemAsString, getItemType, getLong, getNode, getNodeUri, getObject, getObject, getShort, instanceOf, writeItem, writeItem, writeItemToSAX`

Method Detail

### clearWarnings

    void clearWarnings()

### getConnection

    XQConnection getConnection()
                               throws XQException

  Throws:
    `XQException`

### getWarnings

    XQWarning getWarnings()
                          throws XQException

  Throws:
    `XQException`

Copyright (C) Michael H. Kay. All rights reserved.